%define name xmlcopyeditor
%define version 1.2.0.6
%define release %mkrel 1
%define __libtoolize /bin/true

Summary:        A fast, free, validating XML editor
Summary(de):	Ein schneller, freier Open Source XML-Editor 
Name:           %{name}  
Version:        %{version}
Release:        %{release}
Group:          Editors
License:        GPLv2
URL:            http://xml-copy-editor.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/xml-copy-editor/%name-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  wxGTK2.8-devel >= 2.8 
BuildRequires:  xerces-c-devel 
BuildRequires:  pcre-devel
BuildRequires:  libaspell-devel
BuildRequires:  boost-devel
BuildRequires:  libxslt-devel
BuildRequires:  expat-devel
BuildRequires:  desktop-file-utils
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
XML Copy Editor is a fast, free, validating XML editor.

%description -l de
XML Copy Editor ist ein Open Source XML-Editor der alle gängigen Standards
unterstützt und ein komfortables Arbeiten mit XML-Dokumenten ermöglicht.
Wer auf der Suche nach einem XML-Editor ist, sollte einen Blick auf XML Copy Editor werfen.

Strukturblöcke können ein- und ausgeklappt werden, die Syntaxhervorhebung
sorgt für Übersicht. Tags lassen gegen versehentliches Ändern schützen.
Validatoren für alle gängigen XML-Schemata oder zum Testen von XPath-Ausdrücken
sind intetgriert. XSL-Transformationen sind per Mausklick möglich.

%prep
%setup -q
find src -type f -print0 | xargs -0 chmod a-x
tr -d '\r' < src/copying/gpl.txt > COPYING
chmod a-x AUTHORS COPYING NEWS

%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor="" \
   --remove-category="Application" \
   --add-category="X-MandrivaLinux-MoreApplications-Editors" \
   --dir=$RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

sed -i -e "s/\(Icon=[^.]\+\).[^.]\+/\1/" $RPM_BUILD_ROOT%{_datadir}/applications/*%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database 

%postun
%update_desktop_database 
%clean_menus

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon Nov 09 2009 Leiche <MeissSW01@aol.com> 1.2.0.6-1pclos2009
- 1.2.0.6

* Mon Jun 08 2009 slick50 <lxgator@gmail.com> 1.2.0.4-1pclos2009
- 1.2.0.4

* Tue May 05 2009 pcserver <pcserver@hushmail.com> 1.2.0-2pclos2009
- fix synaptic group

* Tue Jul 29 2008 Slick50 <slick50@linuxgator.org> 1.2.0-1pclos2007
- Import to PCLinuxOS

